///////////////////////////////////////////////////////////
// Softwarebauelemente II, C2.1
//
// author:			Stephan Brumme
// last changes:	August 2, 2001


#if !defined(AFX_C2_1DLG_H__BA324DA5_872B_11D5_9BB8_AB7BB57BD00C__INCLUDED_)
#define AFX_C2_1DLG_H__BA324DA5_872B_11D5_9BB8_AB7BB57BD00C__INCLUDED_

#include "Moment.h"	// Hinzugefgt von der Klassenansicht
#include "PolymorphicSet.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CC2_1Dlg Dialogfeld

class CC2_1Dlg : public CDialog
{
// Konstruktion
public:
	CC2_1Dlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CC2_1Dlg)
	enum { IDD = IDD_C2_1_DIALOG };
	CListBox	m_List;
	CTime	m_Date;
	CTime	m_Time;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CC2_1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CC2_1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnDelete();
	afx_msg void OnLoad();
	afx_msg void OnSave();
	afx_msg void OnDblclkList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void UpdateListBox();

	CMoment m_Moment;
    CPolymorphicSet<CMoment> m_Set,
                             m_CopiedSet;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_C2_1DLG_H__BA324DA5_872B_11D5_9BB8_AB7BB57BD00C__INCLUDED_)
